EVOLVOTRON(1)

NAME
evolvotron - Creates generative art by an interactive evolutionary process.

SYNOPSIS
evolvotron [Qt options] [options]

DESCRIPTION
evolvotron is interactive "generative art" software to evolve images/textures/patterns through an iterative process of random mutation and user-selection driven evolution. Basically it displays a grid of random images; you click on one you like and the rest of the grid is refilled with variants of the one you picked. This man page describes only the command line options. A more complete manual fully describing usage via the application's GUI is accessible from the application's "Help" menu once it is running.

GENERAL OPTIONS

-a, --autocool
    Enable autocooling by default.

-F, --fullscreen
    Start in "fullscreen" mode (window manager permitting). [Press "Esc" key to revert to normal windowed mode].

-g, --grid
    colsxrows Number of columns in image display grid (defaults to 5x6).

-h, --help
    Display a summary of command-line options and exit.

-j, --jitter
    Enable sample jittering.

-m, --multisample
    multisample Enables antialiased rendering. Valid values are 1,2,3,4. This specifies the size of the sub-pixel sampling grid, so 1 provides the default one-sample-per-pixel behaviour, while 4 provides 16 samples per pixel on a 4x4 grid.

-M, --menuhide
    Start with menu and status bars supressed. [Press "Esc" key to display them].

-p, -spheremap
    Create spheremaps instead of planar textures. NB The middle-mouse adjustments will not behave as expected in this mode.

-S, --startup
    filename Specify a function file to be loaded on startup. This option can be used multiple times, and any positional arguments will also be interpreted as such. Loaded functions are placed on the grid from left to right, top to bottom; if multiple functions in excess of what is needed to fill the grid cells are provided, the extras will be ignored. If the grid is not fully filled with startup functions, the remaining cells are filled at random normally. Note that resetting the application will reload the specified function files again. Also note that using this option multiple times has the potential to generate a lot of loading error dialogs if e.g the path to all the files is wrong.

-U, --shuffle
    Use in conjunction with -S / --startup options, randomly shuffles the order the specified startup images are displayed in. A fresh shuffle will be also be used when the application is reset.

ANIMATION OPTIONS

-f, --frames
    frames Number of frames to animate (defaults to 1 i.e no animaton)

-l, --linear
    Vary z linearly with time rather than sinusoidally over animation period.

-s, --fps
    framerate Specify rate at which animations are displayed (as an integer number of frames per second). Defaults to 8.

POWER-USER / DEBUG OPTIONS

-D, --debug
    Debug mode. Currently simply sets function weightings so virtually all function nodes are FunctionNoiseOneChannel. This is really only useful to developers in conjunction with the -F/-u options.

-E, --enlarement-threadpool
    Use a separate thread pool for computing enlargements. Using this option ensures computation of enlargements continue to make some progress even while the main grid is being actively worked on. However, this will be at the expense of main grid rendering performance. Without this option, enlargements' final high-resolution renderings are invariably lower priority than computation for images in the main grid. See also the -N option to control the priority of threads in this pool.

-n, --nice
    niceness Niceness of compute threads relative to the main application thread (defaults to 4).

-N, --Nice
    niceness Niceness (relative to the main application thread) of compute threads dealing with enlargements (defaults to 8). Only effective in conjunction with a separate enlargement threadool (--E option).

QtOptions
    The Qt GUI system recognizes an number of additional options (for example, standard X11 things like -geometry <width>x<height>; consult the Qt documentation for more information). Note that these don't use the Gnu "double minus" option style used for evolvotron options.

-t, --threads
    threads Number of compute threads in a thread pool (defaults to number of CPUs)

-u, --unwrapped
    Use with the -F option to stop the specified function from being wrapped by a random colouring and spatial transform node.

-v, --verbose
    Verbose mode. Probably most useful for getting a list of supported function names for use with the --F option.

-x, --favourite
    functionname Force a specific function type to be used at the top level of all new image function trees (wrapped by random colour and spatial transforms, unless the --unwrapped option is also specified). This can also be controlled from the "Favourite" dialog.

EXAMPLES
evolvotron -F FunctionSpiralLinear evolvotron -F FunctionKaleidoscope -u

AUTHOR
evolvotron was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. For further details see the application's "About" dialog (accessible from the "Help" menu), or the file LICENSE supplied with the source code.

SEE ALSO
evolvotron_mutate(1), evolvotron_render(1)